# arm_fir_instance_q15 Struct Reference

Instance structure for the Q15 FIR filter. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numTaps
q15_t * | pState
q15_t * | pCoeffs

## Detailed Description

Instance structure for the Q15 FIR filter.

Definition at line 986 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_instance_q15::numTaps

number of filter coefficients in the filter.

Definition at line 988 of file arm_math.h.

q15_t* arm_fir_instance_q15::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 989 of file arm_math.h.

q15_t* arm_fir_instance_q15::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 990 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines